## visad
Class SI

    java.lang.Object
      visad.SI

All Implemented Interfaces:
  Serializable

public final class SI
extends Object
implements Serializable

A class that represents the SI system of units.

See Also:
  Serialized Form

Field Summary
`static BaseUnit` `ampere` Base unit of electric current.
`static BaseUnit` `candela` Base unit of luminous intensity.
`static BaseUnit` `kelvin` Base unit of thermodynamic temperature.
`static BaseUnit` `kilogram` Base unit of mass.
`static BaseUnit` `meter` Base unit of length.
`static BaseUnit` `mole` Base unit of amount of substance.
`static BaseUnit` `radian` Base unit of angular measure.
`static BaseUnit` `second` Base unit of time.
`static BaseUnit` `steradian` Base unit of solid angle.

Method Summary
`static void` `main(String[] args)` Test this class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ampere

    public static BaseUnit ampere

  Base unit of electric current. The ampere is that constant current which, if maintained in two straight parallel conductors of infinite length, of negligible circular cross section, and placed 1 meter apart in vacuum, would produce between these conductors a force equal to 2 x 10^-7 newton per meter of length.

### candela

    public static BaseUnit candela

  Base unit of luminous intensity. The candela is the luminous intensity, in a given direction, of a source that emits monochromatic radiation of frequency 540 x 10^12 hertz and that has a radiant intensity in that direction of (1/683) watt per steradian.

### kelvin

    public static BaseUnit kelvin

  Base unit of thermodynamic temperature. The kelvin, unit of thermodynamic temperature, is the fraction 1/273.16 of the thermodynamic temperature of the triple point of water.

### kilogram

    public static BaseUnit kilogram

  Base unit of mass. The kilogram is the unit of mass; it is equal to the mass of the international prototype of the kilogram.

### meter

    public static BaseUnit meter

  Base unit of length. The meter is the length of the path travelled by light in vacuum during a time interval of 1/299 792 458 of a second.

### second

    public static BaseUnit second

  Base unit of time. The second is the duration of 9 192 631 770 periods of the radiation corresponding to the trasition between the two hyperfine levels of the ground state of the cesium-133 atom.

### mole

    public static BaseUnit mole

  Base unit of amount of substance. The mole is the amount of substance of a system which contains as many elementary entities as there are atoms in 0.012 kilogram of carbon 12.

### radian

    public static BaseUnit radian

  Base unit of angular measure. The radian is the plane angle between two radii of a circle that cut off on the circumference an arc equal in length to the radius. This unit is dimensionless.

### steradian

    public static BaseUnit steradian

  Base unit of solid angle. The steradian is the solid angle that, having its vertex in the center of a sphere, cuts off an area of the surface equal to that of a square with sides of length equal to the radius of the sphere. This unit is dimensionless.

Method Detail

### main

    public static void main(String[] args)

  Test this class.

  Parameters:
    `args` - Arguments (ignored).